//
// file      : 4to20.c
// author    : Ian Forse
// date      : 2002-09-15
// purpose   : Analogue read and display on MDM-1
// includes  : pic.h, adc_1.c, delay.h, delay.c, mdm.c, mdm.h
// notes     : 
// compiler  : Hi tech Compiler V8.00PL3
//
// Copyright (C) 2002 Ian Forse
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.

// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
// USA

#include <pic.h>
__CONFIG (3F72h);
#include "adc_1.c"
#include "delay.h"
#include "delay.c"
#include "mdm.h"
#include "mdm.c"

main()
{
adc_init();
mdm_init();
mdm_all(0);

	while(1)
	{
		volatile unsigned int ADC_VALUE, ADC_CHANNEL;
		ADC_CHANNEL = 0;
		ADC_VALUE=ReadADC (ADC_CHANNEL);
		if (neg_flag)
		{
			mdm_write_p (1,'-');
		}
		else
		{
			mdm_write_p (1,'+');
		}
		if (((ADC_VALUE >>   8) & 0x000f) ==0)
		{
			mdm_write_p (2,' ');
		}
		else
		{
			mdm_write_p (2,(((ADC_VALUE >>   8) & 0x000f) + '0'));
		}
		mdm_write_p (3,(((ADC_VALUE >>   4) & 0x000f) + '0'));
		mdm_write_p (4,'.');
		mdm_write_p (4,(((ADC_VALUE >>   0) & 0x000f) + '0'));
		mdm_write_p (5,'C');
		DelayMs(250);
	
	}
}
